## class Transition : public Edge

> transition (STD) edge class.

## Inheritance:

### Public Methods

  | Transition (STGraph *g, Subject *s1, Subject *s2)
  | Transition (const Transition &t)
  virtual | ~Transition ()
  int | GetClassType () const
  Subject* | Clone ()
  Subject::NameErrType | SetName (const string *name) return WRONG\_NAME
  Subject::NameErrType | SetAction ( const string *a, unsigned n, bool update)
  const string* | GetAction (unsigned n)
  bool | HasAction (const string *s)
  unsigned | NrActions () const
  Subject::NameErrType | SetEvent (const string *c)
  const string* | GetEvent () const
  void | WriteMembers (OutputFile *f)
  bool | ReadMembers (InputFile *f, double format)

### Inherited from Edge:

### Public Methods

Subject* GetSubject1() const
Subject* GetSubject2() const
void SetSubject1(Subject *n)
void SetSubject2(Subject *n)
bool IsDirected() const
bool InGraph() const
bool IsEdge() const
bool PartOf(Subject *subject) const
void SetSubjects(Subject *n1, Subject *n2, bool d = 0)
bool SetReferences(AssocList *)
bool CheckReferences()

### Protected Methods

void SetDirected(bool b)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

bool IsSubject() const
const string* GetName() const
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
void Write(OutputFile *ofile)

## Documentation

> transition (STD) edge class.

`Transition(STGraph *g, Subject *s1, Subject *s2)`

`Transition(const Transition &t)`

`virtual ~Transition()`

`int GetClassType() const`

`Subject* Clone()`

`Subject::NameErrType SetName(const string *name)`
  return WRONG\_NAME

`Subject::NameErrType SetAction( const string *a, unsigned n, bool update)`

`const string* GetAction(unsigned n)`

`bool HasAction(const string *s)`

`unsigned NrActions() const`

`Subject::NameErrType SetEvent(const string *c)`

`const string* GetEvent() const`

`void WriteMembers(OutputFile *f)`

`bool ReadMembers(InputFile *f, double format)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de